EDIT - feature request #7492

feature request # 7491 (New): [MASTER] Withheld unpublished taxa from webservice results and in DAOs

Withheld unpublished taxa from webservice used in other webservices
06/18/2018 03:40 PM - Andreas Mller

Status: New Start date:

Priority: New Due date:

Assignee: Andreas Mller % Done: 0%
Category: cdmlib-remote Estimated time: 0:00 hour
Target version: Euro+Med post migration

Severity: normal

Description

for open issues see #3560 and copy open issues to this ticket before starting.
BaseListController:

e doPageByRestrictions - needs to be protected for specific types (below) for the *PortalControllers it can get complicated since
the doPageByRestrictions method allows to specify the initialization depth. So it is hard to control that unpublished names and
taxa are not exposed as associated objects.
NameCatalogueController:

e taxon (doGetTaxonlInformation - DONE

Related issues:

Related to EDIT - bug #7745: Subtree filter for dataportal services Closed
Related to EDIT - feature request #8875: Filter data portal by taxonomic rank New
Related to EDIT - bug #9559: OccurrenceServicelmpl.findRootUnitDTOs() and rel... New
Follows EDIT - task #3560: Withheld unpublished taxa from webservice used in ... Resolved

Associated revisions

Revision ed983c96 - 08/15/2018 05:47 PM - Andreas Miiller

ref #7492 handled unpublished in NameCatalogueController.doGetTaxonInformation

Revision 67c8f20e - 06/04/2019 12:40 PM - Andreas Kohlbecker

ref #8321 implementing page by restriction method to allow for flexible web service queries, also protecting unpublished taxa and names ref #3560

History

#1 - 06/18/2018 03:40 PM - Andreas Miuller

- Tags set to phycobank, search, euro+med

#2 - 06/19/2018 03:30 PM - Andreas Miiller

- Due date set to 09/30/2013

- Start date changed from 06/18/2018 to 09/30/2013

- Follows task #3560: Withheld unpublished taxa from webservice used in E+M dataportal added

#3 - 06/19/2018 05:16 PM - Andreas Miiller

- Description updated
https://dev.e-taxonomy.eu/redmine/issues/3560
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/ed983c96fd31d1198cd3b17c9bef6c37d41e7555

#4 - 06/19/2018 05:17 PM - Andreas Miiller
- Due date deleted (09/30/2013)
- Start date changed from 09/30/2013 to 06/19/2018

#5 - 08/15/2018 06:01 PM - Andreas Miller

- Description updated

#6 - 09/09/2018 11:35 PM - Andreas Miiller
- Related to bug #7745: Subtree filter for dataportal services added

#7 - 09/15/2018 02:53 PM - Andreas Miller

- Target version changed from Unassigned CDM tickets to Euro+Med post migration

#8 - 01/18/2019 07:26 AM - Andreas Kohlbecker

- Tags changed from phycobank, search, euro+med to phycobank, search, euro+med, security, permission

#9 - 06/04/2019 05:44 PM - Andreas Kohlbecker

- Description updated

#10 - 06/04/2019 05:45 PM - Andreas Kohlbecker

- Description updated

#11 - 03/05/2020 10:31 AM - Andreas Miiller
- Related to feature request #8875: Filter data portal by taxonomic rank added

#12 - 03/26/2021 01:55 PM - Andreas Miiller
- Related to bug #9559: OccurrenceServicelmpl.findRootUnitDTOs() and related methods suppress unpublished units added
